@font-face {
    font-family: 'GSC Font';
    /* src: url('font/pokemon-gsc-font.otf.woff2'); */
    src: url('font/PokemonGSCfont.ttf') format('truetype');
}

*::before, *::after, img {
    image-rendering: pixelated;
    image-rendering: crisp-edges;
}

body {
    background-color: #3a3864;
    font-family: 'GSC Font';
    color: #f4e7d5;
    margin-left: 64px;
    margin-right: 64px;
    line-height: 32px;
    /* font-size: 8px; */
    font-size: 200%;
}

.nav {
    margin-bottom: 32px;
    text-align: center;
}

.nav a {
    display: inline-block;
}

.nav img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.nav .button {
    --size: 64px;
    width: var(--size);
    height: var(--size);
    background-image: var(--spr);
    background-repeat: no-repeat;
    background-position: 0 0;
}

.nav .button:hover {
    background-position-y: calc(var(--size) * -1);
}

.container {
    /* font-family: 'GSC Font';
    color: #f4e7d5; */
}

.centered {
    display: flex;
    justify-content: center;
    align-items: center;
}

.centered-img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.eventlink {
    text-decoration: none;
    color: inherit;
}

.infobox {
    border: 16px solid transparent;
    padding: 32px;
    margin: 32px;
    border-image-source: url("/img/border.png");
    border-image-slice: 16;
    border-image-width: 16px;
    border-image-repeat: stretch;
    display: block;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.infobox.bad {
    border-image-source: url("/img/border_bad.png");
    color: #d6c68c;
}

.underline {
    color: #f4e7d5;
    text-decoration: underline;
    text-decoration-color: #f4e7d5;
    text-decoration-thickness: 2px;
    text-underline-offset: 4px;
}

.texturl {
    color: #8c9cff;
    text-decoration: underline;
    text-decoration-color: #8c9cff;
    text-decoration-thickness: 2px;
    text-underline-offset: 4px;
}

.texturl:hover {
    color: #f4e7d5;
    text-decoration-color: #f4e7d5;
}

a:not(:hover) .infobox {
    border-image-source: url("/img/border_gray.png");
}

ul {
    text-align: left;
    list-style-image: url('/img/bullet.png');
}

ul li {
    margin-bottom: 16px;
}

.infogood {
    color: #60c808;
}

.infobad {
    color: #f89850;
}

.infoimportant {
    color: #ead14f;
}

.event-table {
    border-collapse: separate;
    border-spacing: 48px 0;
    margin: 0 auto;
}

.event-table td {
    padding-bottom: 8px;
}

.event-table td:nth-child(1) {
    text-align: left;
}

.event-table td:nth-child(2) {
    text-align: right;
}

.reserve-table {
    /* display: grid; */
    border-collapse: separate;
    border-spacing: 8px 8px;
    margin: 0 auto;
    width: auto;
    grid-template-columns: repeat(2, 1fr);
}

.reserve-table td {
    padding: 8px;
    border: 8px solid transparent;
    border-image-source: url("/img/checkbox_off.png");
    border-image-slice: 8;
    border-image-width: 8px;
    border-image-repeat: stretch;
}

.reserve-table td.active {
    border-image-source: url("/img/checkbox_on.png");
}

/* .customhr {
    height: 16px;
    border-top: 16px solid transparent;
    border-image: url('/img/hr.png') 16 16 16 16 repeat;
    border-image-slice: 16;
} */

customhr::before {
    display: block;
    content: url('/img/hr.png');
    padding: 16px 0;
}

schedule::before {
    content: url('/img/schedule.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
}

event_info::before {
    content: url('/img/eventinfo.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

mutant_draft::before {
    content: url('/img/mutantdraft.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

event_offerings::before {
    content: url('/img/offerings.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

event_singles::before {
    content: url('/img/singles.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

event_draft::before {
    content: url('/img/drafting.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

event_prizes::before {
    content: url('/img/prizes.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

reservation_form::before {
    content: url('/img/reserveform.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

reservations::before {
    content: url('/img/reservations.png');
    display: block;
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 32px;
}

reserve::before {
    content: url('/img/reserve.png');
    padding-left: 16px;
    padding-right: 16px;
}

notice::before {
    content: url('/img/notice.png');
    padding-left: 16px;
    padding-right: 16px;
}

dollar::before {
    content: url('/img/dollar.png');
    padding-left: 8px;
    padding-right: 8px;
}

psychic::before {
    content: url('/img/psychic.png');
    padding-left: 8px;
    padding-right: 8px;
}

event_challenge::before {
    content: url('/img/challenge.png');
    padding-left: 16px;
    padding-right: 16px;
}

event_cup::before {
    content: url('/img/cup.png');
    padding-left: 16px;
    padding-right: 16px;
}

event_prerelease::before {
    content: url('/img/pokeball.gif');
    padding-left: 16px;
    padding-right: 16px;
}

event_pokemonday::before {
    content: url('/img/eevee.png');
    padding-left: 16px;
    padding-right: 16px;
}

title_challenge::before {
    content: url('/img/title_challenge.png');
    padding-left: 16px;
    padding-right: 16px;
}

title_cup::before {
    content: url('/img/title_cup.png');
    padding-left: 16px;
    padding-right: 16px;
}

title_prerelease::before {
    content: url('/img/title_prerelease.png');
    padding-left: 16px;
    padding-right: 16px;
}

title_pokemonday::before {
    content: url('/img/title_pokemonday.png');
    padding-left: 16px;
    padding-right: 16px;
}

print::before {
    content: url('/img/print.png');
    padding-left: 16px;
    padding-right: 16px;
}

brl::before {
    content: " ";
    padding: 16px;
    display: block;
}

missy::before {
    content: "";
    display: inline-block;
    width: 96px;
    height: 96px;
    background: url("/img/missy.png") no-repeat;
    background-size: contain;
    padding-left: 16px;
    padding-right: 16px;
    image-rendering: pixelated;
    animation: missyanim 2s infinite;
}

.mirror {
    transform: scaleX(-1);
}

@keyframes missyanim {
    0%   { transform: translateY(0px); }
    12.5%  { transform: translateY(-2px); }
    37.5%  { transform: translateY(-6px); }
    45%  { transform: translateY(-8px); }
    55%  { transform: translateY(-8px); }
    62.5%  { transform: translateY(-6px); }
    87.5%  { transform: translateY(-2px); }
    100% { transform: translateY(0px); }
}

input[type="text"], input[type="number"], input[type="email"], input[type="password"], textarea {
    font-family: 'GSC Font';
    font-size: 100%;
    color: #3a3864;
    background-color: transparent;
    border: 16px solid transparent;
    padding: 12px 20px;
    box-sizing: border-box;
    border-image-source: url("/img/textbox.png");
    border-image-slice: 16 fill;
    border-image-width: 16px;
    border-image-repeat: stretch;
    outline: none;
    caret-color: #3a3864;
    -webkit-appearance: none;
    appearance: none;
    -moz-appearance: textfield;
}

input[type="number"]::-webkit-outer-spin-button, input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

button {
    border: 16px solid transparent;
    padding: 16px;
    margin: 32px;
    border-image-source: url("/img/border_gray.png");
    border-image-slice: 16;
    border-image-width: 16px;
    border-image-repeat: stretch;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: #ffffff00;
    font-family: 'GSC Font';
    color: #8c9cff;
    font-size: 100%;
}

button:hover {
    border-image-source: url("/img/border.png");
    color: #f4e7d5;
}

/* Mobile */
@media only screen and (max-device-width: 1024px) {
    body {
        margin-left: 8px;
        margin-right: 8px;
        /* font-size: 300%; */
    }

    .infobox {
        padding: 8px;
        margin: 8px;
    }

    /* *::before {
        height: 48px;
    } */
}